<script>
// ruleid: okay-form-input-vue-component
import { GlFormInput } from '@gitlab/ui';

/**
 * ok: form-input-native-vue
 *  <input type='text' name='username' title='Username is required.'/>
 */

export default {
  components: {
    GlFormInput,
  },
  computed: {
    classes() {
      // ruleid: form-input-class-vue
      return ['some-classname', 'gl-form-input', 'foobar'];
    },
  },
};
</script>
<template>
  <div>
    <!-- ok: form-input-class-vue -->
    <gl-form-input>
      I am a good input
    </gl-form-input>

    <!-- ruleid: form-input-class-vue -->
    <div class="gl-form-input">
      This class should not be used outside the GlFormInput component
    </div>

    <!-- ruleid: form-input-native-vue -->
    <input type="text" />
  </div>
</template>
